Name:	 qt5-qtstyleplugins
Summary: Classic Qt widget styles
Version: 5.0.0
Release: 9%{?dist}

License: LGPLv2 or GPLv2
URL:	 https://github.com/qtproject/qtstyleplugins
Source0: http://download.qt.io/community_releases/additional_qt_src_pkgs/qtstyleplugins-src-%{version}.tar.gz

## upstream (in lookaside cache)
BuildRequires: git-core
Patch1: 0001-Cleanlooks-style-Fix-floating-point-exception.patch
Patch2: 0002-Sync-QStyleHelper-code-with-the-latest-code-in-qtbas.patch
Patch3: 0003-Import-gtk2-style-from-qtbase.patch
Patch4: 0004-QGtkStyle-fix-spinbox-arrows.patch
Patch5: 0005-Ensure-the-right-color-is-used-for-drawing-the-label.patch
Patch6: 0006-GTK-style-Disable-Ubuntu-scrollbars.patch
Patch7: 0007-Relocate-bb10style-from-qtbase.patch
Patch8: 0008-gtk2-style-get-rid-of-GConf-usage.patch
Patch9: 0009-Import-gtk2-platform-theme-from-qtbase-5.6.patch
Patch10: 0010-Allow-building-of-gtk2-style-when-GConf-is-missing.patch
Patch11: 0011-skip-building-gtk2-platform-theme-if-gtk-2.0-is-miss.patch
Patch12: 0012-Remove-use-of-deprecated-QStyleOption-V-N.patch

## upstreamable patches
# bb10style is buildable only against qt-5.7 (apparently)
%if 0%{?fedora} > 24
%global bb10 1
%endif
Patch100: qtstyleplugins-src-5.0.0-bb10style_qt57_only.patch

BuildRequires: gtk2-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-static
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

# Do not check any files in %%{_qt5_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt5_plugindir}/platformthemes/.*$

%description
%{summary}, including cleanlooks, motif, plastique, qgtk.


%prep
%autosetup -n qtstyleplugins-src-%{version} -Sgit


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} ..
make %{?_smp_mflags}
popd


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

## unpackaged files
# these look wrong, overwrite each other, omit for now
rm -fv %{buildroot}%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_.cmake


%files
%{_qt5_plugindir}/styles/libqcleanlooksstyle.so
%{_qt5_plugindir}/styles/libqmotifstyle.so
%{_qt5_plugindir}/styles/libqplastiquestyle.so
# qgtk2
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_QGtk2ThemePlugin.cmake
%{_qt5_plugindir}/platformthemes/libqgtk2.so
%{_qt5_plugindir}/styles/libqgtk2style.so
%if 0%{?bb10}
# bb10
%{_qt5_libdir}/cmake/Qt5Widgets/Qt5Widgets_BlackBerry10StylePlugin.cmake
%{_qt5_plugindir}/styles/libbb10styleplugin.so
%endif


%changelog
* Wed Oct 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-9
- pull in upstream fixes, added qgtk2 (#1386404), bb10 support

* Tue Jul 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-8
- rebuild (qt5)

* Sun Jul 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-7
- rebuild (qt5-qtbase)

* Thu Jun 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-6
- rebuild (qtbase)

* Sun Apr 17 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-5
- BR: qt5-qtbase-private-devel

* Sat Apr 16 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.0.0-4
- rebuild (qt 5.6)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Rex Dieter <rdieter@fedoraproject.org> 5.0.0-2
- pull in some post v5.0.0 fixes (one crashfix)

* Mon Dec 14 2015 Rex Dieter <rdieter@fedoraproject.org> 5.0.0-1
- first try


